## glib-compile-schemas glib-compile-schemas — GSettings schema compiler |

## Synopsis

`glib-compile-schemas` [option...] {directory}

## Description

glib-compile-schemas compiles all the GSettings XML schema files in `directory` into a binary file with the name `gschemas.compiled` that can be used by GSettings. The XML schema files must have the filename extension `.gschema.xml`. For a detailed description of the XML file format, see the GSettings documentation.

At runtime, GSettings looks for schemas in the `glib-2.0/schemas` subdirectories of all directories specified in the `XDG_DATA_DIRS` environment variable. The usual location to install schema files is `/usr/share/glib-2.0/schemas`.

In addition to schema files, glib-compile-schemas reads 'vendor override' files, which are key files that can override default values for keys in the schemas. The group names in the key files are the schema id, and the values are written in serialized GVariant form. Vendor ovrride files must have the filename extension `.gschema.override`.

### Options

`-h`, `--help` | Print help and exit
`--targetdir=`TARGETDIR`` | Store `gschemas.compiled` in `TARGETDIR` instead of `directory`.
`--dry-run` | Don't write `gschemas.compiled`. This option can be used to check `.gschema.xml` sources for errors.
`--allow-any-name` | Do not enforce restrictions on key names. Note that this option is purely to facility the transition from GConf, and will be removed at some time in the future.

## See also